[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'ComCtrls' (#lcl)

# TTVChangedEvent

Specifies an event handler signalled when a tree node has been changed.

## Declaration

Source position: comctrls.pp line 2931

`type TTVChangedEvent = procedure(`
`Sender: TObject;`
`Node: TTreeNode`
`) of object;`

## Arguments

`Sender` |  | Object for the event notification.
`Node` |  | Tree node for the event notification.

## Description

TTVChangedEvent is an object procedure type which specifies an event handler signalled when a node has been changed in a TCustomTreeView / TTreeView control.

Sender is the TObject instance for the change notification event.

Node is the TTreeNode instance that has been modified.

TTVChangedEvent is the type used for the TCustomTreeView.OnChange property.

## See also

TCustomTreeView.OnChange |  | Event handler for a change notification in the tree view control.
TTreeNode |  | Implements a tree node displayed in a TTreeView control.
TTVChangingEvent |  | Specifies an event handler signalled when a tree node is about to be changed.